PrivateHashes Class Reference
Collaboration diagram for PrivateHashes:
[legend]

## Classes

struct | HashAlgo

## Public Member Functions

bool | Write (unsigned char const *Data, size_t Size)
std::string | HexDigest (HashAlgo const &algo)
bool | Enable (HashAlgo const &algo)
bool | IsEnabled (HashAlgo const &algo)
| PrivateHashes (unsigned int const CalcHashes)
| PrivateHashes (HashStringList const &Hashes)

## Public Attributes

unsigned long long | FileSize {0}

## Static Public Attributes

static constexpr std::array< HashAlgo, 4 > | Algorithms

## Member Data Documentation

## Algorithms

std::array<HashAlgo, 4> Algorithms

static constexpr

Initial value:
{
HashAlgo{0, "MD5Sum", EVP_md5, Hashes::MD5SUM},
HashAlgo{1, "SHA1", EVP_sha1, Hashes::SHA1SUM},
HashAlgo{2, "SHA256", EVP_sha256, Hashes::SHA256SUM},
HashAlgo{3, "SHA512", EVP_sha512, Hashes::SHA512SUM},
}
PrivateHashes::HashAlgo
Definition hashes.cc:328

The documentation for this class was generated from the following file:

- apt-pkg/contrib/hashes.cc